local function lMenu()
	while true do
	    local w,h = term.native().getSize()
	    e = {LevelOS.pullEvent()}
	    if e[1] == "mouse_click" and e[2] == 2 and e[3] <= 2 and e[4] >= h-1 then
        	lOS.lMenu = true
    	end
	end
end
local function internet()
	while true do
		lOS.checkinternet()
		os.sleep(30)
	end
end
parallel.waitForAll(lMenu,function() while true do pcall(internet) end end)